> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usecontextlayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List declared connections and their account assignments



## OpenAPI

````yaml https://platform.usecontextlayer.com/api/openapi.json post /slates/{target}/connections/list
openapi: 3.1.0
info:
  title: ContextLayer Platform
  version: 0.1.0
servers:
  - url: https://platform.usecontextlayer.com/api
security: []
tags:
  - name: Slates
  - name: Slate routing
  - name: Slate resources
  - name: Accounts
  - name: Shared secrets
  - name: Agents
  - name: Agent jobs
paths:
  /slates/{target}/connections/list:
    post:
      tags:
        - Slate resources
      summary: List declared connections and their account assignments
      operationId: listSlateConnections
      parameters:
        - schema:
            anyOf:
              - type: string
                format: uuid
              - type: string
          required: true
          name: target
          in: path
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties: {}
              additionalProperties: false
      responses:
        '200':
          description: Slate requirements and connection assignments
          content:
            application/json:
              schema:
                type: object
                properties:
                  connections:
                    type: array
                    items:
                      type: object
                      properties:
                        mode:
                          type: string
                          enum:
                            - viewer
                            - owner
                        toolkit:
                          type: string
                          minLength: 1
                        consumers:
                          type: array
                          items:
                            oneOf:
                              - type: object
                                properties:
                                  type:
                                    type: string
                                    enum:
                                      - app
                                required:
                                  - type
                                additionalProperties: false
                              - type: object
                                properties:
                                  name:
                                    type: string
                                    minLength: 1
                                  type:
                                    type: string
                                    enum:
                                      - agent
                                required:
                                  - name
                                  - type
                                additionalProperties: false
                        account_id:
                          type:
                            - string
                            - 'null'
                        owner:
                          oneOf:
                            - type: object
                              properties:
                                id:
                                  type: string
                                  minLength: 1
                                type:
                                  type: string
                                  enum:
                                    - personal
                              required:
                                - id
                                - type
                            - type: object
                              properties:
                                id:
                                  type: string
                                  minLength: 1
                                type:
                                  type: string
                                  enum:
                                    - organization
                              required:
                                - id
                                - type
                        slug:
                          type: string
                      required:
                        - mode
                        - toolkit
                        - consumers
                        - account_id
                        - owner
                        - slug
                      additionalProperties: false
                  slate:
                    $ref: '#/components/schemas/Slate'
                required:
                  - connections
                  - slate
        '400':
          description: Invalid listing request
        '401':
          description: A valid ContextLayer login is required
        '403':
          description: Slate viewing is forbidden
        '404':
          description: Slate not found
        '409':
          description: Nothing has been pushed to the slate's main branch yet
          content:
            application/json:
              schema:
                type: object
                properties:
                  reason:
                    type: string
                    enum:
                      - no-commit
                required:
                  - reason
      security:
        - bearerAuth: []
        - webCookie: []
        - localWebCookie: []
components:
  schemas:
    Slate:
      type: object
      properties:
        id:
          type: string
          format: uuid
        owner_organization_id:
          type:
            - string
            - 'null'
          minLength: 1
        owner_user_id:
          type:
            - string
            - 'null'
          minLength: 1
        public_hostname:
          type: string
        visibility:
          type: string
          enum:
            - public
            - private
      required:
        - id
        - owner_organization_id
        - owner_user_id
        - public_hostname
        - visibility
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    webCookie:
      in: cookie
      name: __Secure-better-auth.session_token
      type: apiKey
    localWebCookie:
      in: cookie
      name: better-auth.session_token
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.